Arch SectionPlane/ru

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Arch SectionPlane and the translation is 57% complete.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎română • ‎svenska • ‎čeština • ‎русский • ‎українська • ‎日本語
Arrow-left.svg Previous: Arch Window.svg Window
Next: CompAxis Arch CompAxis.png Arrow-right.svg

Arch SectionPlane.svg Arch SectionPlane

Расположение в меню
Архитектура -> Плоскость сечения
Верстаки
Arch
Быстрые клавиши
S P
Представлено в версии
-
См. также
Draft Shape2DView, TechDraw NewArch

Описание

Этот инструмент помещает в текущий документ "что-то" секущей плоскости, которое определяет сечение или план. "Что-то" получает своё положение в соответствии с текущей рабочей плоскостью, и может быть перемещён и переориентирован через её перемещение и вращение, пока не получится требуемый двумерный вид. Секущая плоскость учитывает только определённый набор объектов. Выделенные в момент создания секущей плоскости добавляются в этот набор автоматически. Другие объекты могут быть позднее добавлены или удалены из объекта SectionPlane инструментами Arch Add component или Arch Remove component, или двойным кликом секущей плоскости в древе проекта.

Сама по себе плоскость сечения не создаст никакого вида набора своих объектов. Для этого вы должны либо создать Drawing DraftView, чтобы создать вид на странице чертежа, Draft Shape2DView для создания вида в самом 3D-документе, или TechDraw ArchView для создания представления на странице TechDraw.

Arch SectionPlane example.jpg

Использование

  1. Если нужно, установить Draft Working Plane для отражения плоскости, на которой вы хотите разместить плоскость сечения.
  2. Выделить объекты, которые должны быть включены в сечение
  3. Нажмите кнопку Arch SectionPlane.svg SectionPlane или нажмите S, затем P
  4. Move/rotate Section Plane в правильное положение, если нужно.
  5. Выберите плоскость сечения, если она еще не выбрана.
  6. Используйте Drawing DraftView, Draft Shape2DView или TechDraw ArchView для создания вида.

Опции

  • The Section plane object will only consider a certain set of objects, not all the objects of the document. Objects can be added or removed from a SectionPlane object by using the Arch Add and Arch Remove tools, or by double-clicking the Section Plane in the tree view, selecting objects either in the list of in the 3D scene, and pressing the add or remove buttons.
  • С выбранным объектом сечения используйте инструмент Draft Shape2DView для создания объекта, представляющего вид сечения в документе.

Arch Section example2.jpg

Arch Section example3.jpg

  • The Section Plane can also be used to show the entire 3D view cut by an infinite plane. This is only visual, and won't affect the geometry of the objects being cut.

Arch SectionPlane CutView.jpg

Свойства

  • DataOnly Solids: Если это true, объекты не твердых тел не будут учитываться в наборе.
  • ViewDisplay Length: Длина "чего-то" плоскости сечения на трехмерном виде. Не влияет на итоговый вид
  • ViewDisplay Height: Высота "чего-то" плоскости сечения в трехмерном виде. Не влияет на итоговый вид
  • ViewArrow Size: Размер стрелок в "чём-то" секущей плоскости в трёхмерном виде. Не влияет на итоговый вид
  • ViewCut View: Если это true, весь трёхмерный вид будет рассечён по месту этой секущей плоскости.
  • ViewClip view: Если это true, он будет обрезать вид до отображаемой высоты и длины плоскости сечения. Это эффективно превращает плоскость сечения в ортогональную камеру, ограничивая поле зрения. introduced in version 0.19

Arch SectionPlane ClipView.png

The Arch SectionPlane with the clip view option will behave like a camera, limiting the field of view.

Tweaks

  • Adding manually a property named RotateSolidRender of type App::PropertyAngle to the section plane's View properties (right-click the properties view -> show all, right-click again -> add property) allows to rotate the render when using Solid mode. This is useful when a rendered view has for example both Arch and Draft elements, and the rendering of the Arch elements is rotated in relation to the Draft elements. introduced in version 0.19

Сценарии

См. так же: Arch API и Основы написания скриптов FreeCAD.

Инструмент SectionPlane может использоваться в макросах и в консоли Python с использованием следующих функций:

Section = makeSectionPlane(objectslist=None, name="Section")
  • Создаёт объект Section из objectslist, который есть список объектов.

Пример:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
baseline2 = Draft.makeLine(p1, -1*p2)

Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
Wall2 = Arch.makeWall(baseline2, length=None, width=150, height=1800)
Structure = Arch.makeStructure(length=1000, width=1000, height=200)
FreeCAD.ActiveDocument.recompute()

BuildingPart = Arch.makeBuildingPart([Wall1, Wall2])

Floor = Arch.makeFloor([BuildingPart])
Building = Arch.makeBuilding([Floor, Structure])
Site = Arch.makeSite(Building)
FreeCAD.ActiveDocument.recompute()

Section1 = Arch.makeSectionPlane([Wall1, Wall2])
Section2 = Arch.makeSectionPlane([Structure])
Section3 = Arch.makeSectionPlane([Site])
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Arch Window.svg Окно Назад:
Далее: CompAxis Arch CompAxis.png Arrow-right.svg